## org.omg.IOP
Class EncodingFormatHelper

    java.lang.Object
      |
      +--org.omg.IOP.EncodingFormatHelper

public class EncodingFormatHelper
extends java.lang.Object

Helper class for : EncodingFormat

Author:
  OpenORB Compiler

Constructor Summary
`EncodingFormatHelper()`

Method Summary
`static short` `extract(Any a)` Extract EncodingFormat from an any
`static java.lang.String` `id()` Return the EncodingFormat IDL ID
`static void` `insert(Any a, short t)` Insert EncodingFormat into an any
`static short` `read(InputStream istream)` Read EncodingFormat from a marshalled stream
`static TypeCode` `type()` Return the EncodingFormat TypeCode
`static void` `write(OutputStream ostream, short value)` Write EncodingFormat into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingFormatHelper

    public EncodingFormatHelper()

Method Detail

### insert

    public static void insert(Any a,
                              short t)

  Insert EncodingFormat into an any
  Parameters:
    `a` - an any
    `t` - EncodingFormat value

### extract

    public static short extract(Any a)

  Extract EncodingFormat from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted EncodingFormat value

### type

    public static TypeCode type()

  Return the EncodingFormat TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the EncodingFormat IDL ID
  Returns:
    an ID

### read

    public static short read(InputStream istream)

  Read EncodingFormat from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed EncodingFormat value

### write

    public static void write(OutputStream ostream,
                             short value)

  Write EncodingFormat into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - EncodingFormat value